Mostrar Mensajes

Esta sección te permite ver todos los mensajes hechos por este usuario, recuerda que solo puedes ver los mensajes en áreas en donde tu tienes acceso.


Mensajes - Federico Rodriguez Matiz

Páginas: [1] 2
1
SUDOCU - Técnicos / Re:Error al crear un usuario en sudocu
« on: Junio 29, 2022, 03:48:42 pm »
Hola
Te hago unas consultas:
Verificaron que dentro del config del api-server la etiqueta seguridad ya existe? Solo tienen que agregar "saltRounds": 5.
Esto lo hicieron de esa forma?
Volvieron a deployar sudocu una vez realizado el cambio?

Saludos

2
SUDOCU - Técnicos / Re:Error en Huarpe al actualizar a 1.5.0
« on: Junio 28, 2022, 01:35:46 pm »
Hola!
Fijate en este post:
https://foro.comunidad.siu.edu.ar/index.php?topic=24108.msg109481#msg109481

Con eso deberías poder resolver tu problema.

Saludos

3
Buenísimo! Muchas gracias por avisar!
Hay posibilidad de que comenten como llegaron a la solución en el post? Así queda completo y documentado.

Gracias!!!

4
En ese caso, verifiquen en los labels de traefik de huarpe. Hay que agregar el acceso a `/servicios`

Saludos

5
Hola, buenas tardes.
Una consulta más, es solo la operación de Relación laboral la que devuelve ese error?
El resto de las opciones funcionan bien? (Datos personales, Datos familiares y Vacaciones y licencias)

Saludos

6
Hola Diego, buen día
Buenísimo! Muchas gracias por avisar de la solución!

Saludos!

7
Hola, buenos días
Como primera medida, siguieron todos los pasos de Integración con Mapuche del siguiente link?
https://expedientes.siu.edu.ar/docs/mapuche/

Si eso está ok, verificaron que las reglas de traefik de huarpe permitan la comunicación con Mapuche?

Saludos

8
Hola Diego, buen día
Complementario a la info solicitada en mi entrada anterior, sería importante que puedas agregar lo siguiente (mandá todo en un GDS):

- El log de firmador (app desktop), deja un archivo /tmp/firmador.log
- Logs del docs-api
- docs.yml

Saludos!

9
Hola Diego, buenas tardes

Para poder ayudarte es necesario en primera instancia que los tests te estén funcionando correctamente.
Por ejemplo, el SSLPoke, la semana pasada (respuesta 05/05) funcionaba correctamente

Cita
----------

java SSLPoke expedientes.ugr.edu.ar 443
Successfully connected

--------------

Lo mismo con las pruebas de los certificados:

https://www.ssllabs.com/ssltest/analyze.html?d=expedientes.ugr.edu.ar
https://www.sslshopper.com/ssl-checker.html#hostname=https://expedientes.ugr.edu.ar
https://whatsmychaincert.com/?expedientes.ugr.edu.ar

Ahora, en este momento, no están funcionando ni el SSLPoke, ni las pruebas de certificados.

También, debería responderte sin errores los test 10-status-frontend.sh y 11-java-req.sh en la terminal desde la cual querés firmar.

El test 20-status-backend.sh debería responderte sin errores tu terminal de desarrollador

Si esos errores persisten, deberías revisar los labels de traefik y también si hay algún proxy o algún firewall que esté complicando el acceso a todos los recursos necesarios.

Cualquier log que tengas, que consideres que pueda ser relevante para avanzar con esto, no dudes en adjuntarlo.

Saludos!

10
SIU - Huarpe / Re: Error al actualizar Huarpe a la última versión
« on: Mayo 13, 2022, 03:39:21 pm »
Para este problema hay que verificar los labels de traefik en huarpe.yml

Fijate (en la imagen adjunta) que los errores te los tira en la consola del browser e indica que no estás pudiendo acceder a /build

Por lo tanto, es necesario incorporar /build (junto con todos los requeridos) en el label traefik.http.routers.huarpe.rule del archivo huarpe.yml

12
Excelente!
Muchas gracias por avisar y por la solución.
Vamos a revisar el tema del parámetro en el git.

Saludos

13
Hola Diego, cómo estás?

Los certificados están Ok, eso ya lo habíamos visto.

Hay punto más sobre el script 10-status-frontend.sh. Fijate que te está devolviendo el siguiente error:

Cita
[ERROR] La API rest/frontend/* de Araí-Documentos debe estar disponible para acceder publicamente

O sea que desde la terminal desde la que estás corriendo el test, no estás pudiendo llegar a la API rest/frontend.

Saluods



14
Hola
En la versión de Sudocu 1.3.4 ya no está el parámetro de seguridad saltRounds.

Podrías verificar en el yml de tu instalación de sudocu que estás buscando las imagenes correspondientes a la versión para cada módulo?

por ejemplo:

Código: [Seleccionar]
login:
   image: xxx/sudocu-login:1.3.4

Saludos

15
Hola Diego
Podrías volver a correr el script 10-status-frontend.sh

Fijate que tenés un error de tipeo y en lugar de expedientes escribiste expeidentes, intercambiando la i y la d.

Si corregís eso y volvés a correr el script, ahí te va a indiciar si desde esa terminal estás llegando a la API de Araí Documentos

Páginas: [1] 2